import React from 'react';
import type { CSSProperties } from 'react';
import type { Actions } from './constants';
export type VirtualListItemProps = {
    style?: CSSProperties;
};
export type TreeItemProps = {
    id: string;
    posInSet: number;
    setSize: number;
    isTabbable: boolean;
};
export type NamespaceItemProps = {
    name: string;
    type: string;
    isActive: boolean;
    isReadOnly: boolean;
    onNamespaceAction(namespace: string, action: Actions): void;
};
export declare function useDefaultAction<T>(onDefaultAction: (evt: React.KeyboardEvent<T> | React.MouseEvent<T>) => void): React.HTMLAttributes<T>;
export declare const ItemContainer: React.FunctionComponent<{
    id: string;
    level: number;
    setSize: number;
    posInSet: number;
    isExpanded?: boolean;
    isActive?: boolean;
    isTabbable?: boolean;
    onDefaultAction(evt: React.KeyboardEvent<HTMLDivElement> | React.MouseEvent<HTMLDivElement>): void;
} & React.HTMLProps<HTMLDivElement>>;
export declare const ItemWrapper: React.FunctionComponent<React.HTMLProps<HTMLDivElement>>;
export declare const ItemButtonWrapper: React.FunctionComponent<React.HTMLProps<HTMLDivElement>>;
export declare const ItemLabel: React.FunctionComponent<React.HTMLProps<HTMLSpanElement>>;
//# sourceMappingURL=tree-item.d.ts.map